> [!CAUTION]
> You are currently viewing version 1.4 of the Apigee hybrid documentation. **This version is end of life.** You should upgrade to a newer version. For more information, see [Supported versions](https://docs.cloud.google.com/apigee/docs/hybrid/supported-platforms.md.txt#supported-versions).

<button class="button button-with-icon cloud-select-dropdown__button button-primary" aria-haspopup="true">Version 1.4 (unsupported)</button>

- Supported versions:
- [v1.17 (latest)](https://docs.cloud.google.com/apigee/docs/hybrid/v1.17/verify-apis.html)
- [v1.16](https://docs.cloud.google.com/apigee/docs/hybrid/v1.16/verify-apis.html)
- [v1.15](https://docs.cloud.google.com/apigee/docs/hybrid/v1.15/verify-apis.html)
- [v1.14](https://docs.cloud.google.com/apigee/docs/hybrid/v1.14/verify-apis.html)
- [List of supported versions](https://docs.cloud.google.com/apigee/docs/hybrid/supported-platforms.md.txt#supported-versions)
- Unsupported versions:
- [v1.13](https://docs.cloud.google.com/apigee/docs/hybrid/v1.13/verify-apis.html)
- [v1.12](https://docs.cloud.google.com/apigee/docs/hybrid/v1.12/verify-apis.html)
- [v1.11](https://docs.cloud.google.com/apigee/docs/hybrid/v1.11/verify-apis.html)
- [v1.10](https://docs.cloud.google.com/apigee/docs/hybrid/v1.10/verify-apis.html)
- [v1.9](https://docs.cloud.google.com/apigee/docs/hybrid/v1.9/verify-apis.html)
- [v1.8](https://docs.cloud.google.com/apigee/docs/hybrid/v1.8/verify-apis.html)
- [v1.7](https://docs.cloud.google.com/apigee/docs/hybrid/v1.7/verify-apis.md.txt)
- [v1.6](https://docs.cloud.google.com/apigee/docs/hybrid/v1.6/verify-apis.md.txt)
- [v1.5](https://docs.cloud.google.com/apigee/docs/hybrid/v1.5/verify-apis.md.txt)
- [v1.4](https://docs.cloud.google.com/apigee/docs/hybrid/v1.4/verify-apis.md.txt)
- [v1.3](https://docs.cloud.google.com/apigee/docs/hybrid/v1.3/verify-apis.md.txt)
- [v1.2](https://docs.cloud.google.com/apigee/docs/hybrid/v1.2/verify-apis.md.txt)
- [v1.1](https://docs.cloud.google.com/apigee/docs/hybrid/v1.1/verify-apis.md.txt)

This section describes how to check the deployment status of an API proxy using the [Apigee APIs](https://docs.cloud.google.com/apigee/docs/reference/apis/apigee/rest.md.txt).

1. Deploy a test API proxy as explained in [Create and deploy a new API proxy](https://docs.cloud.google.com/apigee/docs/hybrid/v1.4/test-new-proxy.md.txt).
2. Locate the JSON file with the Apigee Organization Admin service account key. This service account and key was created in [Enable synchronizer access](https://docs.cloud.google.com/apigee/docs/hybrid/v1.4/install-apply-hybrid#enable-synchronizer-access).
3. Execute these two commands to get a token:

       export GOOGLE_APPLICATION_CREDENTIALS=org-admin-service-account-file
       export TOKEN=$(gcloud auth application-default print-access-token)


   Where <var translate="no">org-admin-service-account-file</var> is the path on your system to the service
   account key you downloaded with the **Apigee Organization Admin** role.
4. Call the revisions API, with the following parts:
   - **Base URL:** `https://apigee.googleapis.com/v1`
   - **Endpoint URL:** `/organizations/my-organization/environments/test/apis/myproxy/revisions/1/deployments`
   - **Protocol:** `HTTPS`
   - **Method:** `GET`
   - **Headers:** `"Authorization: Bearer $TOKEN"`

   The following example calls the deployment revisions API with these settings using
   `curl`:

   ```
   curl "https://apigee.googleapis.com/v1/organizations/my-organization/environments/test/apis/myproxy/revisions/1/deployments" \
   -X GET -H "Authorization: Bearer $TOKEN"
   ```

   You should receive a response similar to the following:

   ```
   {
     "environment": "test",
     "apiProxy": "myproxy",
     "revision": "1",
     "deployStartTime": "1616787712821",
     "state": "READY",
     "instances": [
       {
         "instance": "hybrid-docs-id",
         "deployedRevisions": [
           {
             "revision": "2",
             "percentage": 100
           }
         ],
         "deployedRoutes": [
           {
             "basepath": "/myproxy",
             "envgroup": "test-group",
             "environment": "test",
             "percentage": 100
           }
         ]
       }
     ]
   }
   ```

   This example response shows the API proxy's status is `READY`, indicating
   a successful deployment.

   If you get an empty response or an error, check that:
   - You used the correct base URL. Note that the hybrid base URL is not the same as the Edge API's base URL. Use `https://apigee.googleapis.com/v1`.
   - You used the correct endpoint URL. Note that the revision is "1" and the endpoint is `/organizations/my_organization/environments/test/apis/myproxy/revisions/1/deployments`. If you specify a revision that doesn't exist, the request results in an empty response like the following:

     ```
     { }
     ```
   - You have permissions to access the organization that you specify in the request.
   - Your token has not expired. If it has, regenerate a new one as described in [Obtain an OAuth 2.0 access token](https://docs.cloud.google.com/apigee/docs/api-platform/get-started/api-get-started.md.txt#oauth20).
   - You wrapped the `"Authorization: Bearer $TOKEN"` header in quotes.